#!/usr/bin/awk -f

# yorp.awk
# Assign f,g functions to asteroids (TPs) randomly.
# Miroslav Broz (miroslav.broz@email.cz), May 26th 2010

(NR==1){
  NTP=$1;
}
END{
  print NTP;
  print "0.025d0			! dt_YORP [yr]; time step for the YORP integrator";
  print "1.0d4			! dt_YORP_out [yr]; time step for the output (reorient.out)";
  print "200			! number of Gaussian spheres in fg_functions/ directory";
  print "7			! number of data points in each fg_functions/ file";
  print "30.0			! dobliq [deg], corresponding step in obliquity";
  print "2.5			! a_0 [AU] reference value of semimajor axis";
  print "1.0d3			! R_0 [m] reference radius";
  print "2500.d0			! rho_0 [kg/m^3] reference density";
  print "2.9088821d-4		! omega_0 [rad/s] reference spin rate <=> P_0 = 6 hours";
  print "0.33d0			! c_YORP efficiency parameter";
  print "T                       ! change Gauss sphere randomly after reaching omega_crit";
  print "../swift_rmvs3_fp_ye_YORP/fg_functions_K1e-2/";

  NFG = 200;

  srand(-2);

  for (i=1; i<=NTP; i++) {
    fg_id = int(1.5 + NFG*rand());
    print i "	" fg_id;
  }
}


